{
    "packages": [
        {
            "name": "alchemy/binary-driver",
            "version": "v2.0.0",
            "version_normalized": "2.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/alchemy-fr/BinaryDriver.git",
                "reference": "6ccde0e19e81e54da77b08da1a176d43e089f3a3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/alchemy-fr/BinaryDriver/zipball/6ccde0e19e81e54da77b08da1a176d43e089f3a3",
                "reference": "6ccde0e19e81e54da77b08da1a176d43e089f3a3",
                "shasum": ""
            },
            "require": {
                "evenement/evenement": "^2.0|^1.0",
                "monolog/monolog": "^1.3",
                "php": ">=5.5",
                "psr/log": "^1.0",
                "symfony/process": "^2.3|^3.0|^4.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.0|^5.0"
            },
            "time": "2018-08-06T10:18:33+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "Alchemy": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Romain Neutron",
                    "email": "imprec@gmail.com",
                    "homepage": "http://www.lickmychip.com/"
                },
                {
                    "name": "Phraseanet Team",
                    "email": "info@alchemy.fr",
                    "homepage": "http://www.phraseanet.com/"
                },
                {
                    "name": "Nicolas Le Goff",
                    "email": "legoff.n@gmail.com"
                },
                {
                    "name": "Jens Hausdorf",
                    "email": "mail@jens-hausdorf.de",
                    "homepage": "https://jens-hausdorf.de",
                    "role": "Maintainer"
                }
            ],
            "description": "A set of tools to build binary drivers",
            "keywords": [
                "binary",
                "driver"
            ],
            "install-path": "../alchemy/binary-driver"
        },
        {
            "name": "evenement/evenement",
            "version": "v2.1.0",
            "version_normalized": "2.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/igorw/evenement.git",
                "reference": "6ba9a777870ab49f417e703229d53931ed40fd7a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/igorw/evenement/zipball/6ba9a777870ab49f417e703229d53931ed40fd7a",
                "reference": "6ba9a777870ab49f417e703229d53931ed40fd7a",
                "shasum": ""
            },
            "require": {
                "php": ">=5.4.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^6.0||^5.7||^4.8.35"
            },
            "time": "2017-07-17T17:39:19+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "2.0-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "Evenement": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Igor Wiedler",
                    "email": "igor@wiedler.ch"
                }
            ],
            "description": "Événement is a very simple event dispatching library for PHP",
            "keywords": [
                "event-dispatcher",
                "event-emitter"
            ],
            "install-path": "../evenement/evenement"
        },
        {
            "name": "firebase/php-jwt",
            "version": "v5.1.0",
            "version_normalized": "5.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/firebase/php-jwt.git",
                "reference": "4566062c68f76f43d44f1643f4970fe89757d4c6"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/firebase/php-jwt/zipball/4566062c68f76f43d44f1643f4970fe89757d4c6",
                "reference": "4566062c68f76f43d44f1643f4970fe89757d4c6",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.8|^5"
            },
            "time": "2020-02-24T23:15:03+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Firebase\\JWT\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Neuman Vong",
                    "email": "neuman+pear@twilio.com",
                    "role": "Developer"
                },
                {
                    "name": "Anant Narayanan",
                    "email": "anant@php.net",
                    "role": "Developer"
                }
            ],
            "description": "A simple library to encode and decode JSON Web Tokens (JWT) in PHP. Should conform to the current spec.",
            "homepage": "https://github.com/firebase/php-jwt",
            "install-path": "../firebase/php-jwt"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "7.5.0",
            "version_normalized": "7.5.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/guzzle.git",
                "reference": "b50a2a1251152e43f6a37f0fa053e730a67d25ba"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/guzzle/zipball/b50a2a1251152e43f6a37f0fa053e730a67d25ba",
                "reference": "b50a2a1251152e43f6a37f0fa053e730a67d25ba",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^1.5",
                "guzzlehttp/psr7": "^1.9 || ^2.4",
                "php": "^7.2.5 || ^8.0",
                "psr/http-client": "^1.0",
                "symfony/deprecation-contracts": "^2.2 || ^3.0"
            },
            "provide": {
                "psr/http-client-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.1",
                "ext-curl": "*",
                "php-http/client-integration-tests": "^3.0",
                "phpunit/phpunit": "^8.5.29 || ^9.5.23",
                "psr/log": "^1.1 || ^2.0 || ^3.0"
            },
            "suggest": {
                "ext-curl": "Required for CURL handler support",
                "ext-intl": "Required for Internationalized Domain Name (IDN) support",
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2022-08-28T15:39:27+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                },
                "branch-alias": {
                    "dev-master": "7.5-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Jeremy Lindblom",
                    "email": "jeremeamia@gmail.com",
                    "homepage": "https://github.com/jeremeamia"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "psr-18",
                "psr-7",
                "rest",
                "web service"
            ],
            "support": {
                "issues": "https://github.com/guzzle/guzzle/issues",
                "source": "https://github.com/guzzle/guzzle/tree/7.5.0"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/guzzle",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "1.5.2",
            "version_normalized": "1.5.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/promises.git",
                "reference": "b94b2807d85443f9719887892882d0329d1e2598"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/promises/zipball/b94b2807d85443f9719887892882d0329d1e2598",
                "reference": "b94b2807d85443f9719887892882d0329d1e2598",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.5"
            },
            "require-dev": {
                "symfony/phpunit-bridge": "^4.4 || ^5.1"
            },
            "time": "2022-08-28T14:55:35+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.5-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/guzzle/promises/issues",
                "source": "https://github.com/guzzle/promises/tree/1.5.2"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/promises",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "2.4.1",
            "version_normalized": "2.4.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/psr7.git",
                "reference": "69568e4293f4fa993f3b0e51c9723e1e17c41379"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/psr7/zipball/69568e4293f4fa993f3b0e51c9723e1e17c41379",
                "reference": "69568e4293f4fa993f3b0e51c9723e1e17c41379",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.2.5 || ^8.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.0",
                "ralouphie/getallheaders": "^3.0"
            },
            "provide": {
                "psr/http-factory-implementation": "1.0",
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.1",
                "http-interop/http-factory-tests": "^0.9",
                "phpunit/phpunit": "^8.5.29 || ^9.5.23"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2022-08-28T14:45:39+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                },
                "branch-alias": {
                    "dev-master": "2.4-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://sagikazarmark.hu"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "support": {
                "issues": "https://github.com/guzzle/psr7/issues",
                "source": "https://github.com/guzzle/psr7/tree/2.4.1"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/psr7",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "guzzlehttp/uri-template",
            "version": "v1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/uri-template.git",
                "reference": "b945d74a55a25a949158444f09ec0d3c120d69e2"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/uri-template/zipball/b945d74a55a25a949158444f09ec0d3c120d69e2",
                "reference": "b945d74a55a25a949158444f09ec0d3c120d69e2",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.2.5 || ^8.0",
                "symfony/polyfill-php80": "^1.17"
            },
            "require-dev": {
                "phpunit/phpunit": "^8.5.19 || ^9.5.8",
                "uri-template/tests": "1.0.0"
            },
            "time": "2021-10-07T12:57:01+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\UriTemplate\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                }
            ],
            "description": "A polyfill class for uri_template of PHP",
            "keywords": [
                "guzzlehttp",
                "uri-template"
            ],
            "support": {
                "issues": "https://github.com/guzzle/uri-template/issues",
                "source": "https://github.com/guzzle/uri-template/tree/v1.0.1"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/uri-template",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/uri-template"
        },
        {
            "name": "league/flysystem",
            "version": "1.0.46",
            "version_normalized": "1.0.46.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/flysystem.git",
                "reference": "f3e0d925c18b92cf3ce84ea5cc58d62a1762a2b2"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thephpleague/flysystem/zipball/f3e0d925c18b92cf3ce84ea5cc58d62a1762a2b2",
                "reference": "f3e0d925c18b92cf3ce84ea5cc58d62a1762a2b2",
                "shasum": ""
            },
            "require": {
                "php": ">=5.5.9"
            },
            "conflict": {
                "league/flysystem-sftp": "<1.0.6"
            },
            "require-dev": {
                "ext-fileinfo": "*",
                "phpspec/phpspec": "^3.4",
                "phpunit/phpunit": "^5.7.10"
            },
            "suggest": {
                "ext-fileinfo": "Required for MimeType",
                "ext-ftp": "Allows you to use FTP server storage",
                "ext-openssl": "Allows you to use FTPS server storage",
                "league/flysystem-aws-s3-v2": "Allows you to use S3 storage with AWS SDK v2",
                "league/flysystem-aws-s3-v3": "Allows you to use S3 storage with AWS SDK v3",
                "league/flysystem-azure": "Allows you to use Windows Azure Blob storage",
                "league/flysystem-cached-adapter": "Flysystem adapter decorator for metadata caching",
                "league/flysystem-eventable-filesystem": "Allows you to use EventableFilesystem",
                "league/flysystem-rackspace": "Allows you to use Rackspace Cloud Files",
                "league/flysystem-sftp": "Allows you to use SFTP server storage via phpseclib",
                "league/flysystem-webdav": "Allows you to use WebDAV storage",
                "league/flysystem-ziparchive": "Allows you to use ZipArchive adapter",
                "spatie/flysystem-dropbox": "Allows you to use Dropbox storage",
                "srmklive/flysystem-dropbox-v2": "Allows you to use Dropbox storage for PHP 5 applications"
            },
            "time": "2018-08-22T07:45:22+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\Flysystem\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Frank de Jonge",
                    "email": "info@frenky.net"
                }
            ],
            "description": "Filesystem abstraction: Many filesystems, one API.",
            "keywords": [
                "Cloud Files",
                "WebDAV",
                "abstraction",
                "aws",
                "cloud",
                "copy.com",
                "dropbox",
                "file systems",
                "files",
                "filesystem",
                "filesystems",
                "ftp",
                "rackspace",
                "remote",
                "s3",
                "sftp",
                "storage"
            ],
            "install-path": "../league/flysystem"
        },
        {
            "name": "league/flysystem-cached-adapter",
            "version": "1.0.9",
            "version_normalized": "1.0.9.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/flysystem-cached-adapter.git",
                "reference": "08ef74e9be88100807a3b92cc9048a312bf01d6f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thephpleague/flysystem-cached-adapter/zipball/08ef74e9be88100807a3b92cc9048a312bf01d6f",
                "reference": "08ef74e9be88100807a3b92cc9048a312bf01d6f",
                "shasum": ""
            },
            "require": {
                "league/flysystem": "~1.0",
                "psr/cache": "^1.0.0"
            },
            "require-dev": {
                "mockery/mockery": "~0.9",
                "phpspec/phpspec": "^3.4",
                "phpunit/phpunit": "^5.7",
                "predis/predis": "~1.0",
                "tedivm/stash": "~0.12"
            },
            "suggest": {
                "ext-phpredis": "Pure C implemented extension for PHP"
            },
            "time": "2018-07-09T20:51:04+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\Flysystem\\Cached\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "frankdejonge",
                    "email": "info@frenky.net"
                }
            ],
            "description": "An adapter decorator to enable meta-data caching.",
            "install-path": "../league/flysystem-cached-adapter"
        },
        {
            "name": "lizhichao/one-sm",
            "version": "1.10",
            "version_normalized": "1.10.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/lizhichao/sm.git",
                "reference": "687a012a44a5bfd4d9143a0234e1060543be455a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/lizhichao/sm/zipball/687a012a44a5bfd4d9143a0234e1060543be455a",
                "reference": "687a012a44a5bfd4d9143a0234e1060543be455a",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.6"
            },
            "time": "2021-05-26T06:19:22+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "OneSm\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "tanszhe",
                    "email": "1018595261@qq.com"
                }
            ],
            "description": "国密sm3",
            "keywords": [
                "php",
                "sm3"
            ],
            "support": {
                "issues": "https://github.com/lizhichao/sm/issues",
                "source": "https://github.com/lizhichao/sm/tree/1.10"
            },
            "funding": [
                {
                    "url": "https://www.vicsdf.com/img/w.jpg",
                    "type": "custom"
                },
                {
                    "url": "https://www.vicsdf.com/img/z.jpg",
                    "type": "custom"
                }
            ],
            "install-path": "../lizhichao/one-sm"
        },
        {
            "name": "monolog/monolog",
            "version": "1.25.5",
            "version_normalized": "1.25.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Seldaek/monolog.git",
                "reference": "1817faadd1846cd08be9a49e905dc68823bc38c0"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Seldaek/monolog/zipball/1817faadd1846cd08be9a49e905dc68823bc38c0",
                "reference": "1817faadd1846cd08be9a49e905dc68823bc38c0",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0",
                "psr/log": "~1.0"
            },
            "provide": {
                "psr/log-implementation": "1.0.0"
            },
            "require-dev": {
                "aws/aws-sdk-php": "^2.4.9 || ^3.0",
                "doctrine/couchdb": "~1.0@dev",
                "graylog2/gelf-php": "~1.0",
                "php-amqplib/php-amqplib": "~2.4",
                "php-console/php-console": "^3.1.3",
                "php-parallel-lint/php-parallel-lint": "^1.0",
                "phpunit/phpunit": "~4.5",
                "ruflin/elastica": ">=0.90 <3.0",
                "sentry/sentry": "^0.13",
                "swiftmailer/swiftmailer": "^5.3|^6.0"
            },
            "suggest": {
                "aws/aws-sdk-php": "Allow sending log messages to AWS services like DynamoDB",
                "doctrine/couchdb": "Allow sending log messages to a CouchDB server",
                "ext-amqp": "Allow sending log messages to an AMQP server (1.0+ required)",
                "ext-mongo": "Allow sending log messages to a MongoDB server",
                "graylog2/gelf-php": "Allow sending log messages to a GrayLog2 server",
                "mongodb/mongodb": "Allow sending log messages to a MongoDB server via PHP Driver",
                "php-amqplib/php-amqplib": "Allow sending log messages to an AMQP server using php-amqplib",
                "php-console/php-console": "Allow sending log messages to Google Chrome",
                "rollbar/rollbar": "Allow sending log messages to Rollbar",
                "ruflin/elastica": "Allow sending log messages to an Elastic Search server",
                "sentry/sentry": "Allow sending log messages to a Sentry server"
            },
            "time": "2020-07-23T08:35:51+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "2.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Monolog\\": "src/Monolog"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jordi Boggiano",
                    "email": "j.boggiano@seld.be",
                    "homepage": "http://seld.be"
                }
            ],
            "description": "Sends your logs to files, sockets, inboxes, databases and various web services",
            "homepage": "http://github.com/Seldaek/monolog",
            "keywords": [
                "log",
                "logging",
                "psr-3"
            ],
            "install-path": "../monolog/monolog"
        },
        {
            "name": "neutron/temporary-filesystem",
            "version": "2.3.0",
            "version_normalized": "2.3.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/romainneutron/Temporary-Filesystem.git",
                "reference": "694aa3885f653dd429584e825ffbab79441d285f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/romainneutron/Temporary-Filesystem/zipball/694aa3885f653dd429584e825ffbab79441d285f",
                "reference": "694aa3885f653dd429584e825ffbab79441d285f",
                "shasum": ""
            },
            "require": {
                "php": "^5.6 || ^7.0",
                "symfony/filesystem": "^2.3 || ^3.0 || ^4.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^5.0"
            },
            "time": "2018-02-07T21:11:57+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "Neutron": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Romain Neutron",
                    "email": "imprec@gmail.com"
                }
            ],
            "description": "Symfony filesystem extension to handle temporary files",
            "install-path": "../neutron/temporary-filesystem"
        },
        {
            "name": "opis/closure",
            "version": "3.5.1",
            "version_normalized": "3.5.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/opis/closure.git",
                "reference": "93ebc5712cdad8d5f489b500c59d122df2e53969"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/opis/closure/zipball/93ebc5712cdad8d5f489b500c59d122df2e53969",
                "reference": "93ebc5712cdad8d5f489b500c59d122df2e53969",
                "shasum": ""
            },
            "require": {
                "php": "^5.4 || ^7.0"
            },
            "require-dev": {
                "jeremeamia/superclosure": "^2.0",
                "phpunit/phpunit": "^4.0 || ^5.0 || ^6.0 || ^7.0"
            },
            "time": "2019-11-29T22:36:02+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.5.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Opis\\Closure\\": "src/"
                },
                "files": [
                    "functions.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Marius Sarca",
                    "email": "marius.sarca@gmail.com"
                },
                {
                    "name": "Sorin Sarca",
                    "email": "sarca_sorin@hotmail.com"
                }
            ],
            "description": "A library that can be used to serialize closures (anonymous functions) and arbitrary objects.",
            "homepage": "https://opis.io/closure",
            "keywords": [
                "anonymous functions",
                "closure",
                "function",
                "serializable",
                "serialization",
                "serialize"
            ],
            "install-path": "../opis/closure"
        },
        {
            "name": "php-ffmpeg/php-ffmpeg",
            "version": "v1.x-dev",
            "version_normalized": "1.9999999.9999999.9999999-dev",
            "source": {
                "type": "git",
                "url": "https://github.com/PHP-FFMpeg/PHP-FFMpeg.git",
                "reference": "8006deb04ff9136ec84405c420554093a519c47e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/PHP-FFMpeg/PHP-FFMpeg/zipball/8006deb04ff9136ec84405c420554093a519c47e",
                "reference": "8006deb04ff9136ec84405c420554093a519c47e",
                "shasum": ""
            },
            "require": {
                "alchemy/binary-driver": "^2.0",
                "evenement/evenement": "^2.0",
                "neutron/temporary-filesystem": "2.3",
                "php": "^7.1",
                "sabre/cache": "^1.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^6.5",
                "squizlabs/php_codesniffer": "^3.3"
            },
            "suggest": {
                "php-ffmpeg/extras": "A compilation of common audio & video drivers for PHP-FFMpeg"
            },
            "time": "2018-09-15T10:52:25+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "FFMpeg\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Romain Neutron",
                    "email": "imprec@gmail.com",
                    "homepage": "http://www.lickmychip.com/"
                },
                {
                    "name": "Phraseanet Team",
                    "email": "info@alchemy.fr",
                    "homepage": "http://www.phraseanet.com/"
                },
                {
                    "name": "Patrik Karisch",
                    "email": "patrik@karisch.guru",
                    "homepage": "http://www.karisch.guru"
                },
                {
                    "name": "Romain Biard",
                    "email": "romain.biard@gmail.com",
                    "homepage": "https://www.strime.io/"
                },
                {
                    "name": "Jens Hausdorf",
                    "email": "hello@jens-hausdorf.de",
                    "homepage": "https://jens-hausdorf.de",
                    "role": "Maintainer"
                }
            ],
            "description": "FFMpeg PHP, an Object Oriented library to communicate with AVconv / ffmpeg",
            "keywords": [
                "audio",
                "audio processing",
                "ffmpeg",
                "ffprobe",
                "video",
                "video processing"
            ],
            "install-path": "../php-ffmpeg/php-ffmpeg"
        },
        {
            "name": "phpoffice/phpexcel",
            "version": "1.8.2",
            "version_normalized": "1.8.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/PHPOffice/PHPExcel.git",
                "reference": "1441011fb7ecdd8cc689878f54f8b58a6805f870"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/PHPOffice/PHPExcel/zipball/1441011fb7ecdd8cc689878f54f8b58a6805f870",
                "reference": "1441011fb7ecdd8cc689878f54f8b58a6805f870",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "ext-xml": "*",
                "ext-xmlwriter": "*",
                "php": "^5.2|^7.0"
            },
            "require-dev": {
                "squizlabs/php_codesniffer": "2.*"
            },
            "time": "2018-11-22T23:07:24+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "PHPExcel": "Classes/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-2.1"
            ],
            "authors": [
                {
                    "name": "Maarten Balliauw",
                    "homepage": "http://blog.maartenballiauw.be"
                },
                {
                    "name": "Erik Tilt"
                },
                {
                    "name": "Franck Lefevre",
                    "homepage": "http://rootslabs.net"
                },
                {
                    "name": "Mark Baker",
                    "homepage": "http://markbakeruk.net"
                }
            ],
            "description": "PHPExcel - OpenXML - Read, Create and Write Spreadsheet documents in PHP - Spreadsheet engine",
            "homepage": "https://github.com/PHPOffice/PHPExcel",
            "keywords": [
                "OpenXML",
                "excel",
                "php",
                "spreadsheet",
                "xls",
                "xlsx"
            ],
            "abandoned": "phpoffice/phpspreadsheet",
            "install-path": "../phpoffice/phpexcel"
        },
        {
            "name": "psr/cache",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/cache.git",
                "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/cache/zipball/d11b50ad223250cf17b86e38383413f5a6764bf8",
                "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2016-08-06T20:24:11+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Cache\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for caching libraries",
            "keywords": [
                "cache",
                "psr",
                "psr-6"
            ],
            "install-path": "../psr/cache"
        },
        {
            "name": "psr/container",
            "version": "1.0.0",
            "version_normalized": "1.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/container.git",
                "reference": "b7ce3b176482dbbc1245ebf52b181af44c2cf55f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/container/zipball/b7ce3b176482dbbc1245ebf52b181af44c2cf55f",
                "reference": "b7ce3b176482dbbc1245ebf52b181af44c2cf55f",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2017-02-14T16:28:37+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Container\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common Container Interface (PHP FIG PSR-11)",
            "homepage": "https://github.com/php-fig/container",
            "keywords": [
                "PSR-11",
                "container",
                "container-interface",
                "container-interop",
                "psr"
            ],
            "install-path": "../psr/container"
        },
        {
            "name": "psr/http-client",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-client.git",
                "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-client/zipball/2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
                "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.0 || ^8.0",
                "psr/http-message": "^1.0"
            },
            "time": "2020-06-29T06:28:15+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Client\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP clients",
            "homepage": "https://github.com/php-fig/http-client",
            "keywords": [
                "http",
                "http-client",
                "psr",
                "psr-18"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-client/tree/master"
            },
            "install-path": "../psr/http-client"
        },
        {
            "name": "psr/http-factory",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-factory.git",
                "reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-factory/zipball/12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
                "reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.0.0",
                "psr/http-message": "^1.0"
            },
            "time": "2019-04-30T12:38:16+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for PSR-7 HTTP message factories",
            "keywords": [
                "factory",
                "http",
                "message",
                "psr",
                "psr-17",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-factory/tree/master"
            },
            "install-path": "../psr/http-factory"
        },
        {
            "name": "psr/http-message",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
                "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2016-08-06T14:39:51+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-message/tree/master"
            },
            "install-path": "../psr/http-message"
        },
        {
            "name": "psr/log",
            "version": "1.1.2",
            "version_normalized": "1.1.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/log.git",
                "reference": "446d54b4cb6bf489fc9d75f55843658e6f25d801"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/log/zipball/446d54b4cb6bf489fc9d75f55843658e6f25d801",
                "reference": "446d54b4cb6bf489fc9d75f55843658e6f25d801",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2019-11-01T11:05:21+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Log\\": "Psr/Log/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for logging libraries",
            "homepage": "https://github.com/php-fig/log",
            "keywords": [
                "log",
                "psr",
                "psr-3"
            ],
            "install-path": "../psr/log"
        },
        {
            "name": "psr/simple-cache",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/simple-cache.git",
                "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/simple-cache/zipball/408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
                "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2017-10-23T01:57:42+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\SimpleCache\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for simple caching",
            "keywords": [
                "cache",
                "caching",
                "psr",
                "psr-16",
                "simple-cache"
            ],
            "install-path": "../psr/simple-cache"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ralouphie/getallheaders.git",
                "reference": "120b605dfeb996808c31b6477290a714d356e822"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "support": {
                "issues": "https://github.com/ralouphie/getallheaders/issues",
                "source": "https://github.com/ralouphie/getallheaders/tree/develop"
            },
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "sabre/cache",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/sabre-io/cache.git",
                "reference": "8da140b1aa2cdb70d053c46e821c0e86a11abd6b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/sabre-io/cache/zipball/8da140b1aa2cdb70d053c46e821c0e86a11abd6b",
                "reference": "8da140b1aa2cdb70d053c46e821c0e86a11abd6b",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0",
                "psr/simple-cache": "^1.0"
            },
            "provide": {
                "psr/simple-cache-implementation": "~1.0"
            },
            "require-dev": {
                "phpunit/phpunit": ">=6.2.4",
                "sabre/cs": "~1.0.0"
            },
            "time": "2019-07-19T09:34:00+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Sabre\\Cache\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Evert Pot",
                    "email": "me@evertpot.com",
                    "homepage": "https://evertpot.com/",
                    "role": "Developer"
                }
            ],
            "description": "Simple cache abstraction layer implementing PSR-16",
            "homepage": "http://sabre.io/dav/",
            "keywords": [
                "apc",
                "apcu",
                "cache",
                "memcache",
                "memcached",
                "psr-16",
                "sabre",
                "simple-cache"
            ],
            "install-path": "../sabre/cache"
        },
        {
            "name": "symfony/deprecation-contracts",
            "version": "v2.5.2",
            "version_normalized": "2.5.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/deprecation-contracts.git",
                "reference": "e8b495ea28c1d97b5e0c121748d6f9b53d075c66"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/e8b495ea28c1d97b5e0c121748d6f9b53d075c66",
                "reference": "e8b495ea28c1d97b5e0c121748d6f9b53d075c66",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "time": "2022-01-02T09:53:40+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.5-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "function.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "A generic function and convention to trigger deprecation notices",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/deprecation-contracts/tree/v2.5.2"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/deprecation-contracts"
        },
        {
            "name": "symfony/filesystem",
            "version": "v4.4.11",
            "version_normalized": "4.4.11.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/filesystem.git",
                "reference": "b27f491309db5757816db672b256ea2e03677d30"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/filesystem/zipball/b27f491309db5757816db672b256ea2e03677d30",
                "reference": "b27f491309db5757816db672b256ea2e03677d30",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.3",
                "symfony/polyfill-ctype": "~1.8"
            },
            "time": "2020-05-30T18:50:54+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "4.4-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\Filesystem\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Fabien Potencier",
                    "email": "fabien@symfony.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony Filesystem Component",
            "homepage": "https://symfony.com",
            "install-path": "../symfony/filesystem"
        },
        {
            "name": "symfony/polyfill-ctype",
            "version": "v1.18.1",
            "version_normalized": "1.18.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-ctype.git",
                "reference": "1c302646f6efc070cd46856e600e5e0684d6b454"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-ctype/zipball/1c302646f6efc070cd46856e600e5e0684d6b454",
                "reference": "1c302646f6efc070cd46856e600e5e0684d6b454",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.3"
            },
            "suggest": {
                "ext-ctype": "For best performance"
            },
            "time": "2020-07-14T12:35:20+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.18-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Ctype\\": ""
                },
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Gert de Pagter",
                    "email": "BackEndTea@gmail.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for ctype functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "ctype",
                "polyfill",
                "portable"
            ],
            "install-path": "../symfony/polyfill-ctype"
        },
        {
            "name": "symfony/polyfill-mbstring",
            "version": "v1.14.0",
            "version_normalized": "1.14.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-mbstring.git",
                "reference": "34094cfa9abe1f0f14f48f490772db7a775559f2"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/34094cfa9abe1f0f14f48f490772db7a775559f2",
                "reference": "34094cfa9abe1f0f14f48f490772db7a775559f2",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.3"
            },
            "suggest": {
                "ext-mbstring": "For best performance"
            },
            "time": "2020-01-13T11:15:53+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.14-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Mbstring\\": ""
                },
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for the Mbstring extension",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "mbstring",
                "polyfill",
                "portable",
                "shim"
            ],
            "install-path": "../symfony/polyfill-mbstring"
        },
        {
            "name": "symfony/polyfill-php72",
            "version": "v1.14.0",
            "version_normalized": "1.14.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php72.git",
                "reference": "46ecacf4751dd0dc81e4f6bf01dbf9da1dc1dadf"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php72/zipball/46ecacf4751dd0dc81e4f6bf01dbf9da1dc1dadf",
                "reference": "46ecacf4751dd0dc81e4f6bf01dbf9da1dc1dadf",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.3"
            },
            "time": "2020-01-13T11:15:53+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.14-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Php72\\": ""
                },
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 7.2+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "install-path": "../symfony/polyfill-php72"
        },
        {
            "name": "symfony/polyfill-php80",
            "version": "v1.26.0",
            "version_normalized": "1.26.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php80.git",
                "reference": "cfa0ae98841b9e461207c13ab093d76b0fa7bace"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php80/zipball/cfa0ae98841b9e461207c13ab093d76b0fa7bace",
                "reference": "cfa0ae98841b9e461207c13ab093d76b0fa7bace",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "time": "2022-05-10T07:21:04+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.26-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Php80\\": ""
                },
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ion Bazan",
                    "email": "ion.bazan@gmail.com"
                },
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 8.0+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-php80/tree/v1.26.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-php80"
        },
        {
            "name": "symfony/process",
            "version": "v4.4.11",
            "version_normalized": "4.4.11.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/process.git",
                "reference": "65e70bab62f3da7089a8d4591fb23fbacacb3479"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/process/zipball/65e70bab62f3da7089a8d4591fb23fbacacb3479",
                "reference": "65e70bab62f3da7089a8d4591fb23fbacacb3479",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.3"
            },
            "time": "2020-07-23T08:31:43+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "4.4-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\Process\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Fabien Potencier",
                    "email": "fabien@symfony.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony Process Component",
            "homepage": "https://symfony.com",
            "install-path": "../symfony/process"
        },
        {
            "name": "symfony/var-dumper",
            "version": "v4.4.5",
            "version_normalized": "4.4.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/var-dumper.git",
                "reference": "2572839911702b0405479410ea7a1334bfab0b96"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/var-dumper/zipball/2572839911702b0405479410ea7a1334bfab0b96",
                "reference": "2572839911702b0405479410ea7a1334bfab0b96",
                "shasum": ""
            },
            "require": {
                "php": "^7.1.3",
                "symfony/polyfill-mbstring": "~1.0",
                "symfony/polyfill-php72": "~1.5"
            },
            "conflict": {
                "phpunit/phpunit": "<4.8.35|<5.4.3,>=5.0",
                "symfony/console": "<3.4"
            },
            "require-dev": {
                "ext-iconv": "*",
                "symfony/console": "^3.4|^4.0|^5.0",
                "symfony/process": "^4.4|^5.0",
                "twig/twig": "^1.34|^2.4|^3.0"
            },
            "suggest": {
                "ext-iconv": "To convert non-UTF-8 strings to UTF-8 (or symfony/polyfill-iconv in case ext-iconv cannot be used).",
                "ext-intl": "To show region name in time zone dump",
                "symfony/console": "To use the ServerDumpCommand and/or the bin/var-dump-server script"
            },
            "time": "2020-02-24T13:10:00+00:00",
            "bin": [
                "Resources/bin/var-dump-server"
            ],
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "4.4-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "Resources/functions/dump.php"
                ],
                "psr-4": {
                    "Symfony\\Component\\VarDumper\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony mechanism for exploring and dumping PHP variables",
            "homepage": "https://symfony.com",
            "keywords": [
                "debug",
                "dump"
            ],
            "install-path": "../symfony/var-dumper"
        },
        {
            "name": "topthink/framework",
            "version": "6.0.x-dev",
            "version_normalized": "6.0.9999999.9999999-dev",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/framework.git",
                "reference": "198445bc3e2b082ee8b95db0b94cf38300bfb624"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/framework/zipball/198445bc3e2b082ee8b95db0b94cf38300bfb624",
                "reference": "198445bc3e2b082ee8b95db0b94cf38300bfb624",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "ext-mbstring": "*",
                "league/flysystem": "^1.0",
                "league/flysystem-cached-adapter": "^1.0",
                "opis/closure": "^3.1",
                "php": ">=7.1.0",
                "psr/container": "~1.0",
                "psr/log": "~1.0",
                "psr/simple-cache": "^1.0",
                "topthink/think-helper": "^3.1.1",
                "topthink/think-orm": "^2.0"
            },
            "require-dev": {
                "mikey179/vfsstream": "^1.6",
                "mockery/mockery": "^1.2",
                "phpunit/phpunit": "^7.0"
            },
            "time": "2020-03-01T13:33:21+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [],
                "psr-4": {
                    "think\\": "src/think/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                },
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP Framework.",
            "homepage": "http://thinkphp.cn/",
            "keywords": [
                "framework",
                "orm",
                "thinkphp"
            ],
            "install-path": "../topthink/framework"
        },
        {
            "name": "topthink/think-captcha",
            "version": "v3.0.2",
            "version_normalized": "3.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-captcha.git",
                "reference": "0b4305da19e118cefd934007875a8112f9352f01"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-captcha/zipball/0b4305da19e118cefd934007875a8112f9352f01",
                "reference": "0b4305da19e118cefd934007875a8112f9352f01",
                "shasum": ""
            },
            "require": {
                "topthink/framework": "^6.0.0"
            },
            "time": "2019-10-03T07:45:11+00:00",
            "type": "library",
            "extra": {
                "think": {
                    "services": [
                        "think\\captcha\\CaptchaService"
                    ],
                    "config": {
                        "captcha": "src/config.php"
                    }
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\captcha\\": "src/"
                },
                "files": [
                    "src/helper.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "captcha package for thinkphp",
            "install-path": "../topthink/think-captcha"
        },
        {
            "name": "topthink/think-helper",
            "version": "v3.1.3",
            "version_normalized": "3.1.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-helper.git",
                "reference": "4d85dfd3778623bbb1de3648f1dcd0c82f4439f4"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-helper/zipball/4d85dfd3778623bbb1de3648f1dcd0c82f4439f4",
                "reference": "4d85dfd3778623bbb1de3648f1dcd0c82f4439f4",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.0"
            },
            "time": "2019-09-30T02:36:48+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\": "src"
                },
                "files": [
                    "src/helper.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP6 Helper Package",
            "install-path": "../topthink/think-helper"
        },
        {
            "name": "topthink/think-multi-app",
            "version": "v1.0.14",
            "version_normalized": "1.0.14.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-multi-app.git",
                "reference": "ccaad7c2d33f42cb1cc2a78d6610aaec02cea4c3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-multi-app/zipball/ccaad7c2d33f42cb1cc2a78d6610aaec02cea4c3",
                "reference": "ccaad7c2d33f42cb1cc2a78d6610aaec02cea4c3",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1.0",
                "topthink/framework": "^6.0.0"
            },
            "time": "2020-07-12T13:50:37+00:00",
            "type": "library",
            "extra": {
                "think": {
                    "services": [
                        "think\\app\\Service"
                    ]
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\app\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "thinkphp6 multi app support",
            "support": {
                "issues": "https://github.com/top-think/think-multi-app/issues",
                "source": "https://github.com/top-think/think-multi-app/tree/master"
            },
            "install-path": "../topthink/think-multi-app"
        },
        {
            "name": "topthink/think-orm",
            "version": "2.0.x-dev",
            "version_normalized": "2.0.9999999.9999999-dev",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-orm.git",
                "reference": "f2007ddb2f4de2fbd0e966a7b52a5a408272c2e2"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-orm/zipball/f2007ddb2f4de2fbd0e966a7b52a5a408272c2e2",
                "reference": "f2007ddb2f4de2fbd0e966a7b52a5a408272c2e2",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": ">=7.1.0",
                "psr/log": "~1.0",
                "psr/simple-cache": "^1.0",
                "topthink/think-helper": "^3.1"
            },
            "time": "2020-02-09T13:39:32+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\": "src"
                },
                "files": []
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "think orm",
            "keywords": [
                "database",
                "orm"
            ],
            "install-path": "../topthink/think-orm"
        },
        {
            "name": "topthink/think-template",
            "version": "v2.0.7",
            "version_normalized": "2.0.7.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-template.git",
                "reference": "e98bdbb4a4c94b442f17dfceba81e0134d4fbd19"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-template/zipball/e98bdbb4a4c94b442f17dfceba81e0134d4fbd19",
                "reference": "e98bdbb4a4c94b442f17dfceba81e0134d4fbd19",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.0",
                "psr/simple-cache": "^1.0"
            },
            "time": "2019-09-20T15:31:04+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "the php template engine",
            "install-path": "../topthink/think-template"
        },
        {
            "name": "topthink/think-view",
            "version": "v1.0.14",
            "version_normalized": "1.0.14.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-view.git",
                "reference": "edce0ae2c9551ab65f9e94a222604b0dead3576d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-view/zipball/edce0ae2c9551ab65f9e94a222604b0dead3576d",
                "reference": "edce0ae2c9551ab65f9e94a222604b0dead3576d",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.0",
                "topthink/think-template": "^2.0"
            },
            "time": "2019-11-06T11:40:13+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\view\\driver\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "thinkphp template driver",
            "install-path": "../topthink/think-view"
        },
        {
            "name": "wechatpay/wechatpay",
            "version": "1.4.6",
            "version_normalized": "1.4.6.0",
            "source": {
                "type": "git",
                "url": "https://github.com/wechatpay-apiv3/wechatpay-php.git",
                "reference": "edbdb6bb19e0818b0576043b265ff1b1e188d668"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/wechatpay-apiv3/wechatpay-php/zipball/edbdb6bb19e0818b0576043b265ff1b1e188d668",
                "reference": "edbdb6bb19e0818b0576043b265ff1b1e188d668",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-curl": "*",
                "ext-libxml": "*",
                "ext-openssl": "*",
                "ext-simplexml": "*",
                "guzzlehttp/guzzle": "^6.5 || ^7.0",
                "guzzlehttp/uri-template": "^0.2 || ^1.0",
                "php": ">=7.1.2"
            },
            "require-dev": {
                "phpstan/phpstan": "^0.12.89 || ^1.0",
                "phpunit/phpunit": "^7.5 || ^8.5.16 || ^9.3.5"
            },
            "time": "2022-08-19T09:14:39+00:00",
            "bin": [
                "bin/CertificateDownloader.php"
            ],
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "WeChatPay\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "James ZHANG",
                    "homepage": "https://github.com/TheNorthMemory"
                },
                {
                    "name": "WeChatPay Community",
                    "homepage": "https://developers.weixin.qq.com/community/pay"
                }
            ],
            "description": "[A]Sync Chainable WeChatPay v2&v3's OpenAPI SDK for PHP",
            "homepage": "https://pay.weixin.qq.com/",
            "keywords": [
                "AES-GCM",
                "aes-ecb",
                "openapi-chainable",
                "rsa-oaep",
                "wechatpay",
                "xml-builder",
                "xml-parser"
            ],
            "support": {
                "issues": "https://github.com/wechatpay-apiv3/wechatpay-php/issues",
                "source": "https://github.com/wechatpay-apiv3/wechatpay-php/tree/v1.4.6"
            },
            "install-path": "../wechatpay/wechatpay"
        }
    ],
    "dev": true,
    "dev-package-names": [
        "symfony/polyfill-mbstring",
        "symfony/polyfill-php72",
        "symfony/var-dumper"
    ]
}
